compact2, compact3
org.w3c.dom.ranges

## Class RangeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.w3c.dom.ranges.RangeException

- All Implemented Interfaces:
    Serializable

      public class RangeException
      extends RuntimeException

  Range operations may throw a `RangeException` as specified in their method descriptions.

  See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

  Since:
    DOM Level 2
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `BAD_BOUNDARYPOINTS_ERR` If the boundary-points of a Range do not meet specific requirements.
    `short` | `code`
    `static short` | `INVALID_NODE_TYPE_ERR` If the container of an boundary-point of a Range is being set to either a node of an invalid type or a node with an ancestor of an invalid type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeException(short code, String message)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### code

          public short code

    - #### BAD_BOUNDARYPOINTS_ERR

          public static final short BAD_BOUNDARYPOINTS_ERR

      If the boundary-points of a Range do not meet specific requirements.
      See Also:
        Constant Field Values

    - #### INVALID_NODE_TYPE_ERR

          public static final short INVALID_NODE_TYPE_ERR

      If the container of an boundary-point of a Range is being set to either a node of an invalid type or a node with an ancestor of an invalid type.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RangeException

          public RangeException(short code,
                                String message)

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 2005, 2017, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.